## sortedcollections 0.6.1

=== requirements.txt ===
Babel==2.0
Jinja2==2.8
MarkupSafe==0.23
Pygments==2.0.2
Sphinx==1.3.1
alabaster==0.7.6
docutils==0.12
nose==1.3.7
pluggy==0.3.0
py==1.4.30
pytz==2015.4
six==1.9.0
snowballstemmer==1.2.0
sortedcontainers==0.9.6
sphinx-rtd-theme==0.1.8
tox==2.1.1
virtualenv==13.1.0
wsgiref==0.1.2

## sortedcollections 0.5.3

=== debian/changelog ===
sortedcollections (0.5.3-1) unstable; urgency=low

  * Initial packaging. (Closes: #861140)

 -- Diane Trout <diane@ghic.org>  Mon, 24 Apr 2017 14:56:24 -0700

=== debian/control ===
Source: sortedcollections
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-sortedcontainers,
               python3-sphinx
Standards-Version: 3.9.8
Homepage: http://www.grantjenks.com/docs/sortedcollections/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sortedcollections.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/sortedcollections.git
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python3-sortedcollections
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 Sorted Collections
 SortedCollections is an Apache2 licensed Python sorted collections library.
 .
 Features
 --------
 .
   - Pure-Python
   - Depends on the SortedContainers module.
   - ValueSortedDict - Dictionary with (key, value) item pairs sorted by value.
   - ItemSortedDict - Dictionary with key-function support for item pairs.
   - OrderedDict - Ordered dictionary with numeric indexing support.
   - OrderedSet - Ordered set with numeric indexing support.
   - IndexableDict - Dictionary with numeric indexing support.
   - IndexableSet - Set with numeric indexing support.
 .
 This contains the Python 3 module

Package: python-sortedcollections-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: Python documentation for Sorted Collections
 SortedCollections is an Apache2 licensed Python sorted collections library.
 .
 Features
 --------
 .
   - Pure-Python
   - Depends on the SortedContainers module.
   - ValueSortedDict - Dictionary with (key, value) item pairs sorted by value.
   - ItemSortedDict - Dictionary with key-function support for item pairs.
   - OrderedDict - Ordered dictionary with numeric indexing support.
   - OrderedSet - Ordered set with numeric indexing support.
   - IndexableDict - Dictionary with numeric indexing support.
   - IndexableSet - Set with numeric indexing support.
 .
 This contians the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sortedcollections
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs build/html # HTML generator

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import sortedcollections; print(sortedcollections)" ; done
Depends: python3-all, python3-sortedcollections

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sortedcollections-$1.tar.gz%" \
    https://github.com/grantjenks/sortedcollections/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sortedcollections 0.6.1

=== debian/changelog ===
sortedcollections (0.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Diane Trout ]
  * New upstream release (Closes: #896808)
  * Update Standards-Version to 4.1.4 no changes needed
  * Fix typos
  * Update to debhelper 11
  * Refresh patch
  * Add 0002-remove-github-buttons.patch to close privacy leak

 -- Diane Trout <diane@ghic.org>  Fri, 27 Apr 2018 21:35:43 -0700

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-nose,
                python3-setuptools,
                python3-sortedcontainers,
                python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://www.grantjenks.com/docs/sortedcollections/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sortedcollections.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/sortedcollections.git
-Testsuite: autopkgtest-pkg-python
+Vcs-Git: https://salsa.debian.org/python-team/modules/sortedcollections.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sortedcollections
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -57,4 +56,4 @@
    - IndexableDict - Dictionary with numeric indexing support.
    - IndexableSet - Set with numeric indexing support.
  .
- This contians the documentation.
+ This contains the documentation.

## sortedcollections 1.0.1

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 pytz==2015.4
 six==1.9.0
 snowballstemmer==1.2.0
-sortedcontainers==0.9.6
+sortedcontainers
 sphinx-rtd-theme==0.1.8
 tox==2.1.1
 virtualenv==13.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SortedCollections.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SortedCollections.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SortedCollections"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SortedCollections"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
sortedcollections (1.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Dmitry Shachnev ]
  * New upstream release.
    - Fixes compatibility with sortedcontainers 2.0, where the iterkeys,
      iteritems, itervalues methods of SortedDict have been removed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Jun 2018 00:09:16 +0300

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,6 @@
 Homepage: http://www.grantjenks.com/docs/sortedcollections/
 Vcs-Git: https://salsa.debian.org/python-team/modules/sortedcollections.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sortedcollections
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python3-sortedcollections
 Architecture: all

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import sortedcollections; print(sortedcollections)" ; done
Depends: python3-all, python3-sortedcollections

## sortedcollections 2.1.0

=== requirements.txt ===
-e .
blue
coverage
doc8
mypy
pylint
pytest
pytest-cov
rstcheck
sphinx
tox
twine
wheel

=== debian/changelog ===
sortedcollections (2.1.0-3) unstable; urgency=medium

  * Team Upload
  * Replace usage of "py.test-3" compat symlink with canonical "pytest"
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump tandards-Version to 4.7.2
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 Oct 2025 14:16:32 +0100

sortedcollections (2.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:54:22 +0100

sortedcollections (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-sortedcollections-doc: Add Multi-Arch: foreign.

  [ Diane Trout ]
  * update d/watch as Upstream is only using github tags not release.
  * New upstream release (Closes: #1001486)
  * Update to debhelper-compat =13
  * Update to Standards-Version 4.6.0, added Rules-Requires-Root: no
  * Refresh patches
  * add disable-github-badges.patch, to remove links to github CI images
  * Change test dependencies to pytest.
    (Upstream uses tox with some utilities not packaged in Debian)
  * Delete .coverage directory installed by build process
  * Implement real autopkgtests (Closes: #974473)

 -- Diane Trout <diane@ghic.org>  Sun, 12 Dec 2021 12:15:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,30 @@
 Source: sortedcollections
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Diane Trout <diane@ghic.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Diane Trout <diane@ghic.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-python,
-               python3-all,
-               python3-nose,
-               python3-setuptools,
-               python3-sortedcontainers,
-               python3-sphinx
-Standards-Version: 4.1.4
-Homepage: http://www.grantjenks.com/docs/sortedcollections/
-Vcs-Git: https://salsa.debian.org/python-team/modules/sortedcollections.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sortedcollections
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-doc8 <!nocheck>,
+ python3-mypy <!nocheck>,
+ python3-pytest,
+ python3-pytest-cov,
+ python3-setuptools,
+ python3-sortedcontainers,
+ python3-sphinx,
+Standards-Version: 4.7.2
+Homepage: https://www.grantjenks.com/docs/sortedcollections/
+Vcs-Git: https://salsa.debian.org/python-team/packages/sortedcollections.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sortedcollections
 
 Package: python3-sortedcollections
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python 3 Sorted Collections
  SortedCollections is an Apache2 licensed Python sorted collections library.
  .
@@ -37,8 +44,11 @@
 
 Package: python-sortedcollections-doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Section: doc
+Multi-Arch: foreign
 Description: Python documentation for Sorted Collections
  SortedCollections is an Apache2 licensed Python sorted collections library.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sortedcollections
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs build/html # HTML generator

execute_after_dh_auto_install:
	rm -rf debian/python3-sortedcollections/usr/lib/python3*/dist-packages/.coverage

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 @,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: grantjenks
Project: sortedcollections
